/*  UnZip for the Macintosh                                          */
/*                                                                   */
/*  John Eng    July 1991                                            */
/*                                                                   */
/*  Based on the TURBO C Version 2.0.1 for the IBM by Samuel H.      */
/*  Smith as modified by George M. Sipe for "portability" to UNIX,   */
/*  Microsoft C for the IBM, and other machines.                     */
/*                                                                   */
/*  This file contains declarations to compensate for                */
/*  non-portability of the main source code.  Please see comments    */
/*  in the main source file for further information.  Declarations   */
/*  that are specific to the Macintosh are marked "NNONMS" (Not      */
/*  Necessary on Non-Macintosh Systems) for those who may want       */
/*  to port this code to other systems.                              */

#include <unix.h>          /* Lightspeed C header file; NNONMS */

#define OLDC 1             /* Flag use of old-style C declarations */
#define HIGH_LOW 1         /* Flag Motorola-style byte ordering */

#define S_IREAD 0x0100     /* Not found in all UNIX implementations */
#define S_IWRITE 0x0080    /* Not found in all UNIX implementations */
#define SEEK_CUR 1         /* Not in <unix.h> (though it should); NNONMS */

/*  The following #define is necessary because malloc() does not work  */
/*  with Lightspeed C v2.01 (though it should).                        */

#define malloc(X) NewPtr((unsigned long)(X))    /* NNONMS */

/*  utime() and *memcpy() are not available in Lightspeed C v2.01      */
/*  (nor in some UNIX systems) and are defined in "MacUnZip.c".        */

int		utime();
void	*memcpy();
void	MacInit();    /* Initialization routine for the Macintosh; NNONMS */

/*  The following "large" memory buffers require explicit allocation   */
/*  with malloc() in MacInit() due to the 32K memory segment limit     */
/*  of the Macintosh operating system.  This way of handling the       */
/*  memory buffers is standard C and should work on non-Macintosh      */
/*  systems.                                                           */

int				*prefix_of;
unsigned char	*suffix_of;
unsigned char	*stack;